<template>
  <div class="text-right">
    <v-dialog v-model="dialog" persistent height="auto" width="1300">
      <template v-slot:activator="{ on, attrs }">
        <v-btn
          class="
            button-text
            v-btn v-btn--outlined v-btn--rounded
            theme--light
            v-size--default
            tway-violet--text
          "
          color="coral lighten-2"
          outlined
          v-bind="attrs"
          v-on="on"
        >
          <v-icon
            color="deep-orange accent-4

"
          >
            mdi-chart-areaspline
          </v-icon>

          Seguimiento
        </v-btn>
      </template>

      <v-card :class="'modalSystem'">
        <v-card>
          <div class="container">
            <v-btn icon right @click="dialog = false" class="float-right">
              <v-icon>mdi-close</v-icon>
            </v-btn>
            <h3 class="text-center">SEGUIMIENTO OBJETIVOS</h3>
            <h4 class="text-center font-weight-regular">
              Ingresa nuevo Seguimiento
            </h4>
            <template>
              <v-row justify="center" class="my-6">
                <v-expansion-panels accordion width="100%" :value="opened">
                  <v-expansion-panel v-for="(item, i) in 3" :key="i">
                    <v-expansion-panel-header>
                      OBJETIVO {{ i + 1 }}
                    </v-expansion-panel-header>
                    <v-expansion-panel-content>
                      <v-simple-table class="table mt-4" fixed-header>
                        <template>
                          <thead>
                            <tr>
                              <th colspan="2" class="text-center">OKR</th>
                              <th colspan="2" class="text-center">Meta</th>
                              <th colspan="3" class="text-center">
                                Iniciativas
                              </th>
                            </tr>
                            <tr>
                              <th class="text-center" width="15%" scope="col">
                                Título Meta
                              </th>
                              <th class="text-center" width="17%" scope="col">
                                Descripción
                              </th>
                              <th class="text-center" width="10%" scope="col">
                                Línea base
                              </th>
                              <th class="text-center" width="5%" scope="col">
                                Avance
                              </th>
                              <th class="text-center" width="15%" scope="col">
                                Título iniciativa
                              </th>
                              <th class="text-center" width="17%" scope="col">
                                Descripción
                              </th>
                              <th class="text-center" width="5%" scope="col">
                                Avance
                              </th>
                            </tr>
                          </thead>
                          <tbody>
                            <tr
                              v-for="(item, index) in 3"
                              :key="index"
                              :id="index"
                              :class="index.isVisible ? activeClass : hidden"
                              class="edit_row"
                            >
                              <td class="text-center">
                                <v-text-field
                                  v-model="item.nombreOkr"
                                  :label="'Título OKR' + (index + 1)"
                                  maxlength="15"
                                  minlenght="0"
                                  :counter="15"
                                  outlined
                                ></v-text-field>
                              </td>
                              <td class="text-center">
                                <v-text-field
                                  v-model="item.descripcionOkr"
                                  label="Descripción"
                                  maxlength="15"
                                  minlenght="0"
                                  :counter="15"
                                  outlined
                                ></v-text-field>
                              </td>
                              <td class="text-center">
                                <v-text-field
                                  v-model="item.lineaBase"
                                  label="Línea base"
                                  maxlength="15"
                                  minlenght="0"
                                  :counter="15"
                                  outlined
                                ></v-text-field>
                              </td>
                              <td class="text-center">
                                <v-select
                                  :items="avance"
                                  label="Avance"
                                  v-model="item.avance"
                                  outlined
                                ></v-select>
                              </td>
                              <td class="text-center">
                                <v-text-field
                                  v-model="item.iniciativa"
                                  label="Título Iniciativa"
                                  maxlength="15"
                                  minlenght="0"
                                  :counter="15"
                                  outlined
                                ></v-text-field>
                              </td>
                              <td class="text-center">
                                <v-text-field
                                  v-model="item.descripcionIn"
                                  label="Descripción Iniciativa"
                                  maxlength="15"
                                  minlenght="0"
                                  :counter="15"
                                  outlined
                                ></v-text-field>
                              </td>
                              <td class="text-center">
                                <v-select
                                  :items="avanceIn"
                                  label="Avance"
                                  v-model="item.avanceIn"
                                  outlined
                                ></v-select>
                              </td>
                            </tr>
                          </tbody>
                        </template>
                      </v-simple-table>
                    </v-expansion-panel-content>
                  </v-expansion-panel>
                </v-expansion-panels>
                <v-col
                  md="12"
                  class="text-center d-flex justify-center pa-md-10 mx-lg-auto"
                >
                  <v-btn
                    class="
                      button-text
                      v-btn v-btn--outlined v-btn--rounded
                      theme--light
                      v-size--default
                      tway-violet--text
                    "
                    outlined
                    color="indigo lighten-2"
                    @click="dialog = false"
                  >
                    <v-icon color="purple"> mdi-content-save </v-icon>
                    Guardar Seguimiento
                  </v-btn>
                </v-col>
              </v-row>
            </template>
          </div>
        </v-card>
      </v-card>
    </v-dialog>
  </div>
</template>

<script>
export default {
  data() {
    return {
      dialog: false,
      avance: ["%", "Facebook Likes", "Leads", "Dolares", "Pesos", "UF"],
      avanceIn: ["%", "Facebook Likes", "Leads", "Dolares", "Pesos", "UF"],
      item: [
        {
          nombreOkr: "",
          descripcionOkr: "",
          lineaBase: "",
          iniciativa: "",
          descripcionIn: "",
          avance: "",
          avanceIn: "",
        },
      ],
      nameRules: [
        (v) => !!v || "Requerido.",
        (v) => v.length <= 15 || "Máximo 15 carácteres.",
      ],
      isVisible: true,
      activeClass: "is-visible",
      opened: 0,
    };
  },
  methods: {
    saveItem(index) {
      index.isVisible = !index.isVisible;
    },
  },
};
</script>

<style>
.shrink {
  width: 150px;
}
.bar {
  width: 350px;
}
.modalSystem {
  border-radius: 0px !important;
}
.v-menu__content.theme--light.v-menu__content--fixed.menuable__content__active {
  background-color: #fff;
}
.modalSystem .v-card.v-sheet.theme--light {
  padding: 20px 40px;
}
.modalSystem label.v-label.theme--light,
.edit_row .v-text-field__details {
  font-family: "Josefin Sans", sans-serif !important;
}
.modalSystem fieldset {
  border-color: #4a148c !important;
}
.modalSystem label.v-label--active {
  color: #4a148c !important;
}
.modalSystem button.v-btn.primary {
  background-color: #4a148c !important;
  border-color: #4a148c !important;
}
.edit_row .v-input__slot,
.edit_row .v-select {
  min-height: 35px !important;
  max-height: 35px !important;
  margin-bottom: 0px !important;
}
.edit_row .v-text-field--outlined .v-label {
  top: 8px;
  font-size: 13px !important;
}
.edit_row .v-input__append-inner {
  margin-top: 5px !important;
}
.edit_row .v-text-field__details {
  display: none;
}
.edit_row .v-select__selection,
.edit_row .v-text-field__slot input {
  font-size: 0.875rem;
}
.edit_row label.v-label.v-label--active.theme--light {
  top: 18px;
}
tr.edit_row td {
  height: 60px !important;
}
.modalSystem .edit_row fieldset {
  border-color: #fff !important;
  background-color: #f2f2f2;
}
.modalSystem .v-data-table__wrapper {
  max-height: 408px;
  overflow: auto;
}
.modalSystem .edit_row.is-visible fieldset {
  border-color: transparent !important;
  background-color: transparent;
}
.modalSystem button.float-right {
  z-index: 9;
  top: 15px;
  right: 15px;
  position: absolute;
}
.peso {
  float: left;
  margin-right: 5px;
  top: 7px;
  position: relative;
}
tr.edit_row td .edit {
  display: none;
}
tr.edit_row.is-visible td {
  pointer-events: none;
}
tr.edit_row.is-visible td.buttons {
  pointer-events: visible;
}
tr.edit_row.is-visible td .save {
  display: none !important;
}
tr.edit_row.is-visible td .edit {
  display: inline-grid !important;
}
tr.edit_row.is-visible .v-input__append-inner {
  display: none !important;
}
tr.edit_row.is-visible label.v-label.v-label--active.theme--light {
  display: none;
}
</style>
